#ifndef __CONSTANTS_H__
#define __CONSTANTS_H__

#include <stdio.h>
#include <stdlib.h>
#include <cmath>
#include <string.h>
#include <iostream>
#include <ctype.h>
#include <limits.h>
#include <unistd.h>
#include <dirent.h>
#include <time.h>
#include <sys/time.h>
#include <sys/types.h>
#include <sys/times.h>
#include <sys/stat.h>
#include <sys/wait.h>
#include <signal.h>

//const int INIT_RAND_MAX = 2;
//const int INIT_RAND_THRESHOLD = 0;

const int HEU_ATOM_NUM = 32;

const int INIT_BAR_LENGTH = 35;
const int SEARCH_BAR_LENGTH = 61;

const int MAX_FILENAME_LENGTH = 255;
const int MAX_NAME_LENGTH = 64;
const int MAX_LINE_LENGTH = 1000000;
const int MAX_BUFFER_LENGTH = 4096;

const int DEFAULT_SIZE = 4;
const int DEFAULT_ATOM_SIZE_IN_CATOM = 64;

//const int MAX_INT = (int)(pow(2, sizeof(int)*8-2));
const int MAX_INT = 1000000; 
const int OVER_RATE = 100;

const int NO_UBOUND = MAX_INT;
const int NO_LBOUND = 0;

const int BIGC = 100;

const int NONE = -MAX_INT;
const double PI = 3.14159265;

#endif
